# Uses of Enum Class
org.opensaml.saml.saml2.core.DecisionTypeEnumeration

Packages that use DecisionTypeEnumeration
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of DecisionTypeEnumeration in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return DecisionTypeEnumeration
Modifier and Type
Method
Description
`DecisionTypeEnumeration`
AuthzDecisionStatement.`getDecision()`
Gets the decision of the authorization request.
`static DecisionTypeEnumeration`
DecisionTypeEnumeration.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DecisionTypeEnumeration[]`
DecisionTypeEnumeration.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.saml2.core with parameters of type DecisionTypeEnumeration
Modifier and Type
Method
Description
`void`
AuthzDecisionStatement.`setDecision(DecisionTypeEnumeration newDecision)`
Sets the decision of the authorization request.

## Uses of DecisionTypeEnumeration in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as DecisionTypeEnumeration
Modifier and Type
Field
Description
`private DecisionTypeEnumeration`
AuthzDecisionStatementImpl.`decision`
Decision of the authorization request.
Methods in org.opensaml.saml.saml2.core.impl that return DecisionTypeEnumeration
Modifier and Type
Method
Description
`DecisionTypeEnumeration`
AuthzDecisionStatementImpl.`getDecision()`
Gets the decision of the authorization request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type DecisionTypeEnumeration
Modifier and Type
Method
Description
`void`
AuthzDecisionStatementImpl.`setDecision(DecisionTypeEnumeration newDecision)`
Sets the decision of the authorization request.